guix-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

02/02: tests: Test the exit code of 'guix environment'.


From: Ludovic Courtès
Subject: 02/02: tests: Test the exit code of 'guix environment'.
Date: Tue, 07 Jul 2015 22:09:31 +0000

civodul pushed a commit to branch master
in repository guix.

commit 4931dfcdfdbe9beaf829607429aec6af6a4dac1c
Author: Ludovic Courtès <address@hidden>
Date:   Tue Jul 7 22:51:33 2015 +0200

    tests: Test the exit code of 'guix environment'.
    
    This is a followup to d2cef62.
    
    * tests/guix-environment.sh: Add test for the exit code.
---
 tests/guix-environment.sh |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

diff --git a/tests/guix-environment.sh b/tests/guix-environment.sh
index 08c97cb..32faf71 100644
--- a/tests/guix-environment.sh
+++ b/tests/guix-environment.sh
@@ -39,6 +39,14 @@ test "`wc -l < "$tmpdir/a"`" = 1
 
 cmp "$tmpdir/a" "$tmpdir/b"
 
+# Make sure the exit value is preserved.
+if guix environment --ad-hoc guile-bootstrap --pure -E 'guile -c "(exit 42)"'
+then
+    false
+else
+    test $? = 42
+fi
+
 if guile -c '(getaddrinfo "www.gnu.org" "80" AI_NUMERICSERV)' 2> /dev/null
 then
     # Compute the build environment for the initial GNU Make.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]